codeunit 70000001 "Company Info Service Conn."
{
    trigger OnRun();
    begin
    end;

 [EventSubscriber(ObjectType::Table,1400,'OnRegisterServiceConnection','',true,true)]
    local procedure HandleAddressLookupServiceConnection(var serviceConnection : Record "Service Connection");
    var
      companyInfoSetup : Record "Company Info Setup";
    begin
      if not companyInfoSetup.Get() then begin
        companyInfoSetup.Init;
        companyInfoSetup.Insert;
      end;

      serviceConnection.Status := serviceConnection.Status::Enabled;
      if (companyInfoSetup.ApiKey = '') then
        serviceConnection.Status := serviceConnection.Status::Disabled;

      serviceConnection.InsertServiceConnection(
        serviceConnection,companyInfoSetup.RecordId,'Company Info Service','',Page::"Company Info Setup Page");
    end;
}