pageextension 70000002 "Company Info Cust. Card" extends "Customer Card"
{
    layout
    {
        modify("VAT Registration No.") {
            trigger OnAfterValidate(); 
            var
                companyInfoService : Codeunit "Company Info service";
                companyInfo : Record "Company Info" temporary;
            begin
                companyInfoService.GetCompanyInfo("VAT Registration No.", companyInfo);
                Name := companyInfo.Name;
                Address := companyInfo.Address;
                County := companyInfo.Country;
                CurrPage.Update;
            end;
        }
        // Add changes to page layout here
    }

    actions
    {
    }


    trigger OnOpenPage();
    var
        featureNotification : Codeunit FeatureNotification;
    
    begin
        featureNotification.ShowNotificationIfNeccessary();
    end;
}