codeunit 70000003 FeatureNotification
{
    trigger OnRun();
    begin
    end;

    procedure ShowNotificationIfNeccessary();
    var
      discoverabilityNotification : Notification;
      companyInfoSetup : Record "Company Info Setup";
    begin
        // Exit if already setup
        if companyInfoSetup.Get then
            exit;

        discoverabilityNotification.Id := System.CreateGuid;
        discoverabilityNotification.Message := 'You can enable Company Info autocompletion from VAT Number in Service Connections.';
        discoverabilityNotification.Send;
    end;
}